%global srcname click-plugins
%global srcname_no_dash click_plugins

Name:           python-%{srcname}
Version:        1.1.1
Release:        %mkrel 7
Summary:        Click extension to register CLI commands via setuptools
%global _description \
An extension module for click to register external CLI commands via setuptools \
entry-points.
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        %pypi_source

BuildArch:      noarch

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel
BuildRequires:  python3-click >= 4.0
BuildRequires:  python3-pytest

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%check
export LANG=C.UTF-8
PYTHONPATH="%{buildroot}%{python3_sitelib}" \
    py.test-%{python3_version} -ra


%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{srcname_no_dash}
%{python3_sitelib}/%{srcname_no_dash}-%{version}-py%{python3_version}.egg-info



%changelog
* Sun Mar 02 2025 wally <wally> 1.1.1-7.mga10
+ Revision: 2156856
- rebuild for python3.13

* Wed Dec 20 2023 joequant <joequant> 1.1.1-6.mga10
+ Revision: 2020493
- update to py3.12

* Tue Mar 29 2022 umeabot <umeabot> 1.1.1-5.mga9
+ Revision: 1833292
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 1.1.1-4.mga9
+ Revision: 1783097
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Fri Mar 26 2021 ovitters <ovitters> 1.1.1-3.mga9
+ Revision: 1710533
- rebuild for Python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 1.1.1-2.mga8
+ Revision: 1538424
- Mageia 8 Mass Rebuild

* Thu Nov 21 2019 barjac <barjac> 1.1.1-1.mga8
+ Revision: 1461917
- %%mkrel 1
- add group
- %%mkrel 1
- import package from Fedora


* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.1.1-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.1.1-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Apr 08 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.1-1
- Update to latest version

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Oct 01 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.0.4-2
- Drop Python 2 subpackage

* Fri Sep 21 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.0.4-1
- Update to latest version

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.0.3-5
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 12 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.0.3-3
- Simplify spec with more macros.

* Sun Jul 09 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.0.3-2
- Simplify spec a bit.

* Sat Mar 04 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.0.3-1
- Initial package release.
